package ink.wgink.database.pojo.dtos.mysql;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: MysqlDTO
 * @Description: mysql连接
 * @Author: CodeFactory
 * @Date: 2021-10-26 23:05:32
 * @Version: 3.0
 **/
@ApiModel
public class MysqlDTO {

    @ApiModelProperty(name = "mysqlId", value = "主键")
    private String mysqlId;
    @ApiModelProperty(name = "mysqlName", value = "连接名")
    private String mysqlName;
    @ApiModelProperty(name = "mysqlHost", value = "主机")
    private String mysqlHost;
    @ApiModelProperty(name = "mysqlPort", value = "端口")
    private String mysqlPort;
    @ApiModelProperty(name = "mysqlUsername", value = "用户名")
    private String mysqlUsername;
    @ApiModelProperty(name = "mysqlPassword", value = "密码")
    private String mysqlPassword;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;
    @ApiModelProperty(name = "gmtModified", value = "修改时间")
    private String gmtModified;

    public String getMysqlId() {
        return mysqlId == null ? "" : mysqlId.trim();
    }

    public void setMysqlId(String mysqlId) {
        this.mysqlId = mysqlId;
    }

    public String getMysqlName() {
        return mysqlName == null ? "" : mysqlName.trim();
    }

    public void setMysqlName(String mysqlName) {
        this.mysqlName = mysqlName;
    }

    public String getMysqlHost() {
        return mysqlHost == null ? "" : mysqlHost.trim();
    }

    public void setMysqlHost(String mysqlHost) {
        this.mysqlHost = mysqlHost;
    }

    public String getMysqlPort() {
        return mysqlPort == null ? "" : mysqlPort.trim();
    }

    public void setMysqlPort(String mysqlPort) {
        this.mysqlPort = mysqlPort;
    }

    public String getMysqlUsername() {
        return mysqlUsername == null ? "" : mysqlUsername.trim();
    }

    public void setMysqlUsername(String mysqlUsername) {
        this.mysqlUsername = mysqlUsername;
    }

    public String getMysqlPassword() {
        return mysqlPassword == null ? "" : mysqlPassword.trim();
    }

    public void setMysqlPassword(String mysqlPassword) {
        this.mysqlPassword = mysqlPassword;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }


}
